Required edition for recording a Java Corba/RMI protocol script

Required edition for recording a Java Corba/RMI protocol script

When recording a Java Corba/RMI script, if in the Recording Options to call a batch file is defined at the begining, it is required to edit the mentioned batch file. This changes, will vary depending on the JDK version used to implement it. Please follow the below steps:

1. Add LoadRunner and JDK to the CLASSPATH as shown below:

· %LG_PATH%classes;%LG_PATH%classes\srv

Example:
"C:\Program Files\HP\LoadRunner\classes;C:\Program Files\HP\LoadRunner\classes\srv;C:\Program Files\HP\LoadRunner\dat"

2. Add the following to the java command in the batch file that launches the application. Depending on the version of the JDK, the syntax changes:

· JDK 1.4 or earlier:

-Xrunjdkhook -Xbootclasspath/p:%LG_PATH%classes;%LG_PATH%classes\srv

· JDK 1.5 or later:

-agentlib:jdkhook -Xbootclasspath/p:%LG_PATH%classes;%LG_PATH%classes\srv

Note: These specifications don’t depend on the LoadRunner version.

Advertisements

One thought on “Required edition for recording a Java Corba/RMI protocol script

  1. Sasha

    Hello. I tried to record java application but get an error on starting recording: Programm failed to start because vmhook.dll was not found. Help please to solve this error

    Reply

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s